Subject: Journal Search:INTEGRATION

From: [email-masked] (Jerry L. Bevington)
Date: 23 Jan 1996 02:03:32 GMT

Does any one know where I can purchase a copy of the german/english
Journal for mond-moving plants and culture (Zeitgeist feur geistbewegende 
pflanzen und kultur called INTEGRATION, published in germany by Verlag 
Eschenau?  I am specifically looking for No 5, 1995 with selected papers 
>from  the first international conference on Plants, Shamanism and States 
of Conscioousnessededited by Bauer, Hanslmeier, Luna, Ott and de Vries.

I know these are limited editions, so I appreciate any help in finding a 
copy.  Thanks.